
From: Marcelo Tosatti <marcelo.tosatti@cyclades.com>

Subject says it all, there is no need to link perfmon.o on
sub-architectures other than CONFIG_E500.

Signed-off-by: Marcelo Tosatti <marcelo.tosatti@cyclades.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/kernel/Makefile |    3 ++-
 arch/ppc/kernel/traps.c  |    2 ++
 2 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/ppc/kernel/Makefile~ppc32-make-perfmono-config_e500-specific arch/ppc/kernel/Makefile
--- devel/arch/ppc/kernel/Makefile~ppc32-make-perfmono-config_e500-specific	2005-09-07 18:07:12.000000000 -0700
+++ devel-akpm/arch/ppc/kernel/Makefile	2005-09-07 18:07:12.000000000 -0700
@@ -15,8 +15,9 @@ extra-y				+= vmlinux.lds
 obj-y				:= entry.o traps.o irq.o idle.o time.o misc.o \
 					process.o signal.o ptrace.o align.o \
 					semaphore.o syscalls.o setup.o \
-					cputable.o ppc_htab.o perfmon.o
+					cputable.o ppc_htab.o
 obj-$(CONFIG_6xx)		+= l2cr.o cpu_setup_6xx.o
+obj-$(CONFIG_E500)		+= perfmon.o
 obj-$(CONFIG_SOFTWARE_SUSPEND)	+= swsusp.o
 obj-$(CONFIG_POWER4)		+= cpu_setup_power4.o
 obj-$(CONFIG_MODULES)		+= module.o ppc_ksyms.o
diff -puN arch/ppc/kernel/traps.c~ppc32-make-perfmono-config_e500-specific arch/ppc/kernel/traps.c
--- devel/arch/ppc/kernel/traps.c~ppc32-make-perfmono-config_e500-specific	2005-09-07 18:07:12.000000000 -0700
+++ devel-akpm/arch/ppc/kernel/traps.c	2005-09-07 18:07:12.000000000 -0700
@@ -849,10 +849,12 @@ void AltivecAssistException(struct pt_re
 }
 #endif /* CONFIG_ALTIVEC */
 
+#ifdef CONFIG_E500
 void PerformanceMonitorException(struct pt_regs *regs)
 {
 	perf_irq(regs);
 }
+#endif
 
 #ifdef CONFIG_FSL_BOOKE
 void CacheLockingException(struct pt_regs *regs, unsigned long address,
_
